# -*- coding: utf-8 -*-
from setuphelpers import *
import json
import base64

encrypted_txt_file = "encrypted_txt.json"


def install():
    encryptlist = json_load_file(encrypted_txt_file)
    if WAPT.host_uuid in encryptlist:
        host_key = WAPT.get_host_key()
        v = base64.b64decode(encryptlist[WAPT.host_uuid])
        encrypted_txt = host_key.decrypt(v).decode("utf-8")
        print(rf"Here is the decrypted text: {encrypted_txt}")
    else:
        error(f"{WAPT.host_uuid} not found in {encrypted_txt_file}\nYou have to update-package and build_upload this package again")
